### Function

# Gimp text_layer_get_text

#### Declaration [src]

    gchar*
    gimp_text_layer_get_text (
      GimpLayer* layer
    )

#### Description [src]

Get the text from a text layer as string.

This procedure returns the text from a text layer as a string.

Available since: | 2.6

#### Parameters

`layer` | `GimpLayer`
| The text layer.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gchar*`
| The text from the specified text layer. The returned value must be freed with g_free().
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.